# Issues

Please let us know about any issue or feature request in the project's [issue tracker](https://github.com/vizzuhq/vizzu-lib/issues).

# Developer guides

You can find information about how to work on the project in the following guides:

* [Building the project](project/build.md)
* [Testing the project](test/test.md)
* [Generating documentation](docs/build.md)

Feel free to fork the project and send us a pull request. Any contribution you make is greatly appreciated.

If you have any questions regarding Vizzu development, contact us at our Slack #dev channel (see [Contact](README.md#contact)).

# Nightly builds 

Vizzu uses a CI build environment. The builds are available on the following URLs. 
However you should use these only for development purposes since they are subject to
frequent and sometimes unstable changes.

* build from the HEAD commit of the main branch: 
  
  https://vizzu-lib-main.storage.googleapis.com/lib/vizzu.js
  
  and the minified, boundled version:
  
  https://vizzu-lib-main.storage.googleapis.com/lib/vizzu.min.js
  
* all builds on the main branch of the past 30 days:
  
  https://vizzu-lib-main-sha.storage.googleapis.com/lib-HASH/vizzu.js
  
  where HASH is the first 7 character of the commit's git hash.

